Page MenuHomePhabricator

Integrate Harbormaster with GoCD
Closed, WontfixPublic

Description

Problem description
Right now it's not possible to easily integrate Harbormaster with GoCD.

Feature Request
Add "Build with GoCD" build step to Harbormaster.

Event Timeline

kszatan created this task.Jun 8 2017, 8:56 PM

To set expectations, this is an exceedingly low priority for the upstream and these tasks basically only move forward when an existing customer requests integrations.

You can likely develop this integration yourself today as an extension, and could make it available on Community Resources if you want to share it.

Great! I was hoping this could be done with some kind of a plugin/extension. I'll look into it and let you know when I have a working solution.

kszatan added a comment.EditedJun 18 2017, 9:00 PM

I was going to wait with updating this task until I'm finished but I'm stuck on GoCD side for some time. The extension for Phabricator is 99% ready so anyone interested may give it a try:
https://github.com/kszatan/harbormaster-gocd-buildstep
It's enough to be able to schedule a pipeline in GoCD but nothing more. This issue hampers my progress with notifying Harbormaster about pipeline status. I'll update this task when all is working as planned.

I also wrote two other plugins (for GoCD) that may be of use for people interested in this extension:
https://github.com/kszatan/gocd-phabricator-staging-material
https://github.com/kszatan/gocd-phabricator-notifier
Both are not yet finished because of the mentioned GoCD issue.

As for writing an extension, it turned out to be relatively easy even with my non-existing PHP skill. Thanks again for Phabricator!

bazilio91 added a subscriber: bazilio91.
epriestley closed this task as Wontfix.Aug 27 2018, 10:04 PM
epriestley claimed this task.

We don't have any support mana behind this request, it's a good candidate for third-party development, and there's no unique information in this task so I'm just going to close it out.